package at.ac.perg.htl.bhif16.coffeeapp;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.database.DataSetObserver;
import android.graphics.drawable.Drawable;
import android.media.Image;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.BaseAdapter;
import android.widget.Button;

import android.widget.ListView;


import java.util.ArrayList;


public class MainActivity extends Activity {

    ListView listview;
    DrinkAdapter studentArrayAdapter;
    ArrayList<Student> studentArray = new ArrayList<Student>();


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);



        //TODO
        //add students
        studentArray.add(new Student(0,"Achleitner",0,R.drawable.achleitner));
        studentArray.add(new Student(1,"Aichinger",0,R.drawable.aichinger));
        studentArray.add(new Student(2,"Bodingbauer",0,R.drawable.bodingbauer));
        studentArray.add(new Student(3,"Bogdan",0,R.drawable.bogdan));
        studentArray.add(new Student(4,"Derntl",0,R.drawable.derntl));
        studentArray.add(new Student(5,"Diesenreiter",0,R.drawable.unknown));
        studentArray.add(new Student(6,"Forthofer",0,R.drawable.forthofer));

        UserDB db = new UserDB(this);
        db.createDefaultNotesIfNeed();

        studentArrayAdapter = new DrinkAdapter(MainActivity.this, R.layout.listview_activity, studentArray);
        listview= (ListView) findViewById(R.id.list_view);
        listview.setItemsCanFocus(false);
        listview.setAdapter(studentArrayAdapter);



    }

}